aboutsummaryrefslogtreecommitdiffstats
path: root/testing/open-zwave-control-panel/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-12-25 22:11:52 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-12-25 22:12:45 +0100
commit6565762ee708e4d83e4025edbf12b3f3e3f2e764 (patch)
tree3e33f7719a4c13cabfa87ae45d5de1b988ebdb51 /testing/open-zwave-control-panel/APKBUILD
parent05cea3d480e96e9956c9d86536c5edeb38576ee3 (diff)
downloadaports-6565762ee708e4d83e4025edbf12b3f3e3f2e764.tar.gz
aports-6565762ee708e4d83e4025edbf12b3f3e3f2e764.tar.bz2
aports-6565762ee708e4d83e4025edbf12b3f3e3f2e764.tar.xz
testing/open-zwave-control-panel: new aport
Diffstat (limited to 'testing/open-zwave-control-panel/APKBUILD')
-rw-r--r--testing/open-zwave-control-panel/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/open-zwave-control-panel/APKBUILD b/testing/open-zwave-control-panel/APKBUILD
new file mode 100644
index 0000000000..b772c75f75
--- /dev/null
+++ b/testing/open-zwave-control-panel/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=open-zwave-control-panel
+pkgver=20161006
+_sha=a390f356bc74e132e6c1ca410bf5db983ef03b4e
+pkgrel=0
+pkgdesc="The OpenZWave Control Panel"
+url="https://github.com/OpenZWave/open-zwave-control-panel"
+arch="all"
+license="custom"
+depends=""
+makedepends="libmicrohttpd-dev openzwave-dev tinyxml-dev gnutls-dev"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/OpenZWave/open-zwave-control-panel/archive/$_sha.tar.gz
+ makefile.patch
+ "
+builddir="$srcdir/$pkgname-$_sha"
+
+build() {
+ cd "$builddir"
+ make
+}
+
+package() {
+ cd "$builddir"
+ install -Dm755 ozwcp "$pkgdir"/usr/bin/ozwcp || return 1
+ for i in *.js *.html; do
+ install -Dm644 $i "$pkgdir/usr/share/$pkgname/$i" || return 1
+ done
+}
+
+md5sums="67cb00d9a68795ca7b776fc423b52bf4 open-zwave-control-panel-20161006.tar.gz
+e3e15e3874a24054e861e98aca10b29d makefile.patch"
+sha256sums="89849dbe19bc2b950e6baffadc3cf05017cd18821bd50c623e7abd9f49cb062e open-zwave-control-panel-20161006.tar.gz
+8601a1bd8b742dae73a0ec1b0619e4a69a352327f8de9933ac35322b2c350170 makefile.patch"
+sha512sums="b650c13626ca0631ea09139c9ece490136a95684206a47a19ab8d97b86c0c1a5f76cea1565283183b5f448af1f3123511ae2003bd9efc960849a2570284ac64b open-zwave-control-panel-20161006.tar.gz
+8540d69445526834b39c6fc670de7d4c4e3cbf6ce007b776a4fa6f8ccf018aaf330f87894343797831292dc85efb7a7d371da691a1e4f4d3c59b63d10d2c139a makefile.patch"